''
'' This code is part of https://www.grapecity.com/documents-api-word/demos.
'' Copyright (c) GrapeCity, Inc. All rights reserved.
''
Imports System
Imports System.IO
Imports System.Diagnostics
Imports System.Reflection
Imports GrapeCity.Documents.Word
Imports GrapeCity.Documents.Word.Layout
Imports GrapeCity.Documents.Text

Module Program
    Sub Main(args As String())
        Dim Doc1 As New GrapeCity.Documents.Word.GcWordDocument
        Dim DocSec1 As GrapeCity.Documents.Word.Section
        Dim DocSecRange1 As GrapeCity.Documents.Word.Range
        Dim ComplexField1 As GrapeCity.Documents.Word.ComplexField
        Dim Run1 As GrapeCity.Documents.Word.Run
        Dim FontComplectField1 As GrapeCity.Documents.Word.Font

        Doc1.Load("../../../sample.docx")

        DocSec1 = Doc1.Body.Sections.First
        DocSecRange1 = DocSec1.GetRange()
        If DocSecRange1.ComplexFields.Count > 0 Then
            ComplexField1 = DocSecRange1.ComplexFields(0)
            Dim par = ComplexField1.GetRange().ParentParagraph
            FontComplectField1 = ComplexField1.GetRange().Runs.Last.Font 'Font that need to copy
            Dim style As Style = Doc1.Styles.Add("My Style", StyleType.Paragraph)
            style = ComplexField1.GetRange().Runs.Last.Style

            Run1 = ComplexField1.GetRange().Runs.Insert("AAAAA", style, location:=InsertLocation.After)
            Run1.Font.Name = FontComplectField1.Name
            Run1.Font.Bold = FontComplectField1.Bold
            Run1.Font.Italic = FontComplectField1.Italic
            Run1.Font.Underline = FontComplectField1.Underline
            ComplexField1.Delete()
        End If
        Doc1.Save("../../../Result.docx")
    End Sub
End Module
